body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f7f7f7;
}

.calculator {
    border-radius: 5px;
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);
}

.calculator-screen {
    width: 93%;
    height: 80px;
    border: none;
    background-color: #3C000F;
    color: white;
    text-align: right;
    padding-right: 10px;
    padding-left: 20px;
    font-size: 2.5rem;
}

.calculator-keys {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

button {
    height: 80px;
    border: 1px solid #e5e5e5;
    background-color: rgb(201, 197, 197);
    font-size: 1.5rem;
    color: #333;
    cursor: pointer;
}

button.operator {
    background-color: #170006;
    color: white;
}

button.equal-sign {
    background-color: #FF83E9;
    grid-column: span 4;
}

button.all-clear {
    background-color: #45161F;
    color: white;
}

button:active {
    background-color: #7C283D;
}